> For the complete documentation index, see [llms.txt](https://docs.fact-finder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fact-finder.com/webcomponents-overview/web-components-4.x./api/more-features/tag-cloud.md).

# Tag Cloud

Display frequent search terms from Logfile Analysis.

## Documentation

### Availability

The Tag Cloud is discontinued and unavailable in FactFinder NG.

**Display the most searched words in a tag cloud**

Use `ff-tag-cloud` to display the most searched words in your shop. Logfile Analysis supplies the terms using Tracking API data. By default, this module updates daily. Integrate the Tracking API to use the Tag Cloud.

Omikron can configure the maximum number of returned terms. It defaults to `70`. Fewer terms are returned when fewer search terms exist.

Tag Cloud commonly appears on a not-found page. Combine it with Campaign Manager pushed products to provide useful alternatives.

Basic usage:

```html
<ff-tag-cloud min-font-size="10" max-font-size="40" word-count="50" unit="px"></ff-tag-cloud>
```

{% hint style="info" %}
Changing `word-count` triggers a FactFinder request and DOM update when `disable-auto` is not set. It is the only property whose changes trigger a request.
{% endhint %}

Selecting a tag triggers a FactFinder search by default. Handle `entry-clicked` and set `ffPreventDefault` to override this behavior.

```html
<ff-tag-cloud id="tc" min-font-size="10" max-font-size="40" word-count="60" unit="px"></ff-tag-cloud>

<script>
    document.querySelector('#tc').addEventListener('entry-clicked', function (e) {
        event.detail.element.ffPreventDefault = true;
        window.open("index.html?" + factfinder.common.getParameterString(event.detail.entry.params), "_blank");
    });
</script>
```

## Demo

Try the [Tag Cloud demo](https://search-web-components.fact-finder.de/demos/4.x/ff-tag-cloud).

## API code

### Properties

<details>

<summary>Properties</summary>

| Name                                                   | Description                                                                                            |
| ------------------------------------------------------ | ------------------------------------------------------------------------------------------------------ |
| **min-font-size** (Number) (default: 10)               | Specifies the font-size for the least searched word.                                                   |
| **max-font-size** (Number) (default: 20)               | Specifies the font-size for the most searched word.                                                    |
| **unit** (String)(default: "px")                       | Specifies the unit of the font-size.                                                                   |
| **gradient-color-start** (String) (default: "#294884") | Specifies the start color for the gradient of the searched words.                                      |
| **gradient-color-end** (String) (default: "#20b6e8")   | Specifies the end color for the gradient of the searched words.                                        |
| **word-count** (Number) (default: 30)                  | Specifies the number of searched words to display.                                                     |
| **disable-auto** (Boolean) (default: false)            | Specifies whether the tag cloud entries should be automatically fetched on `connectedCallback` or not. |

</details>

### Events

<details>

<summary>Events</summary>

| Name              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **entry-clicked** | Fired when a tag cloud entry is clicked and before the search for that entry is triggered. The event contains a reference to this element where you can set the property `ffPreventDefault` to skip its default action: Search for the clicked word. The event also contains an object with all the tag cloud entry information: 1. query: The searched word. 2. count: The number of searches for that word. 3. params: The search parameters to execute a FactFinder search for that word. |
| **before-search** | Fired directly before the search for the tag cloud entry is executed.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **dom-updated**   | Fired every time the tag cloud element is re rendered.                                                                                                                                                                                                                                                                                                                                                                                                                                       |

</details>

### Methods

<details>

<summary>Methods</summary>

| Name              | Description                                                                                                                                         |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| **getTagCloud()** | Manually obtains the tag cloud entries from FactFinder. Useful when `disable-auto` is set and one wants to display the entries on a certain action. |

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fact-finder.com/webcomponents-overview/web-components-4.x./api/more-features/tag-cloud.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
